MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023971Open CASCADE[OCCT] OCCT:Testspublic2013-05-17 20:282015-05-14 15:32
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0023971: Possibility to extract all error messages from test log
DescriptionWhen implementing new test or running single test case, it can be instrumental to obtain extract of all lines from the log report that are recognized as errors (i.e. lead to FAILED status).

For that, command test could be extended with additional option (e.g. -errors).
Steps To ReproduceNot required
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0023992closedbugmaster it's required to save log information of test command in (specified) file 

-  Notes
(0036006)
git (administrator)
2015-01-13 16:53

Branch CR23971 has been created by ski.

SHA-1: f23d8bba8e62fac29509dbcbd7204fe47e6ddc21


Detailed log of new commits:

Author: ski
Date: Tue Jan 13 16:53:11 2015 +0300

    0023971: Possibility to extract all error messages from test log
    
    It is possible now to extract all error messages from test log using key "-errors"
(0036007)
ski (developer)
2015-01-13 16:58

It is possible now to extract all error messages from test log using key "-errors"
Changes are located in branch CR23971.
Note that key "-errors" will be ignored if key "-echo" is already set.
Also, possibility of using "1" instead of "-echo" was kept.

Please, review.
(0037117)
bugmaster (administrator)
2015-02-05 14:21

Tested with 23992
(0038477)
git (administrator)
2015-03-18 13:31

Branch CR23971 has been deleted by inv.

SHA-1: f23d8bba8e62fac29509dbcbd7204fe47e6ddc21

- Related Changesets
occt: master 5fd3308a
Timestamp: 2015-01-16 13:22:44
Author: ski
Committer: bugmaster
Details ] Diff ]
0023971: Possibility to extract all error messages from test log

It is possible now to extract all error messages from test log using key "-errors"

Conflicts:
    src/DrawResources/TestCommands.tcl
mod - src/DrawResources/TestCommands.tcl Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-05-17 20:28 abv New Issue
2013-05-17 20:28 abv Assigned To => mkv
2013-05-17 20:28 abv Assigned To mkv => abv
2013-05-17 20:28 abv Status new => assigned
2013-09-05 17:13 abv Relationship added related to 0023992
2013-12-21 10:13 abv Target Version 6.7.0 => 6.7.1
2014-04-04 18:27 abv Target Version 6.7.1 => 6.8.0
2014-10-17 03:25 abv Target Version 6.8.0 => 7.1.0
2015-01-12 18:30 abv Assigned To abv => ski
2015-01-13 16:53 git Note Added: 0036006
2015-01-13 16:58 ski Note Added: 0036007
2015-01-13 16:58 ski Assigned To ski => abv
2015-01-13 16:58 ski Status assigned => resolved
2015-01-13 16:58 ski Steps to Reproduce Updated View Revisions
2015-02-05 14:20 bugmaster Assigned To abv => bugmaster
2015-02-05 14:20 bugmaster Status resolved => reviewed
2015-02-05 14:21 bugmaster Note Added: 0037117
2015-02-05 14:21 bugmaster Status reviewed => tested
2015-02-06 15:38 bugmaster Changeset attached => occt master 5fd3308a
2015-02-06 15:38 bugmaster Status tested => verified
2015-02-06 15:38 bugmaster Resolution open => fixed
2015-02-09 11:05 bugmaster Target Version 7.1.0 => 6.9.0
2015-03-18 13:31 git Note Added: 0038477
2015-05-14 15:29 aiv Status verified => closed
2015-05-14 15:32 aiv Fixed in Version => 6.9.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker